Subject: FvwmForm variable substitution causes crash

From: Alex Wallis <[email-masked]>
Date: Fri, 16 Jun 2000 22:11:00 +0930

I'm running current cvs 2.3.20 along with fvwm-themes0.3.6

I've added this routine...

AddToMenu MenuFvwmThemes
+ ""            Nop
+ "Change Settings"     FuncFormThemeSettings
DestroyFunc FuncFormThemeSettings
AddToFunc FuncFormThemeSettings
+ I Read "/home/awol/.fvwm/forms/FormThemeSettings."
+ I FvwmForm FormThemeSettings. "ANIM=on" "BACK=on" "BANN=on" "STRK=on"
"SESD=on" "AUT1=on" "ICSN=on" "KSDIS=on" "KUDIS=on" "GSDIS=on"
"GUDIS=on" "ALDIS=on"

All works fine.
My problem is that the form thus invoked has 36 choice buttons, and
supplying more than 12 variables for substitution(e.g."ANIM=on") causes
fvwm itself to have a segmentation fault.
It doesn't seem to matter what variables you use, just if you have more
than 12 during the form's invocation.
Is this a limitation?

I can supply the form or more details if required.
TIA

Alex
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]